package jp.sourceforge.projects.ee2e.core.ttledit;

import org.eclipse.ui.editors.text.TextEditor;

public class TtlEditor extends TextEditor {

	private TtlColorProvider provider;
	/**
	 * Constructor for SampleEditor.
	 */
	public TtlEditor() {
		super();
		provider = new TtlColorProvider();
		setSourceViewerConfiguration(new TtlConfiguration(provider));
	}
	public void dispose() {
		provider.dispose();
		super.dispose();
	}
	
}
